> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Deductions

> Posts a token payroll's deductions to the org's Workday, ADP or UKG integration and flags settlements as posted.

Not available to API keys yet. It will need `payroll:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/post-deductions
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/post-deductions:
    post:
      operationId: postDeductions
      summary: Post Deductions
      description: >-
        Posts a token payroll's deductions to the org's Workday, ADP or UKG
        integration and flags settlements as posted.


        Not available to API keys yet. It will need `payroll:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostDeductionsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostDeductionsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    PostDeductionsRequest:
      type: object
      properties:
        tokenPayrollID:
          type: string
        repostReason:
          type: string
          maxLength: 500
      required:
        - tokenPayrollID
    PostDeductionsResponse:
      type: object
      properties:
        success:
          type: boolean
        reasonCode:
          type: string
        message:
          type: string
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
